<header>
  <div class='currencies'>
    <ol class="currency flexrow{{#if hasCurrency}} has-currency{{/if}} weighted">
      <h3>{{localize "PF1.Currency.Label"}}</h3>
      {{#each system.currency as |v k|}}
      <li class="denomination {{k}}" data-denomination="{{k}}">
        <label>{{lookup @root.config.currencies k}}</label>
        <span class="text-box direct allow-relative" name="system.currency.{{k}}" data-dtype="Number">{{#if v}}{{v}}{{/if}}</span>
        <a class="convert-currency" data-type="{{k}}" data-category="currency" data-tooltip="PF1.ConvertCurrency"><i class="fas fa-long-arrow-alt-left"></i></a>
      </li>
      {{/each}}
    </ol>
    {{#if isCharacter}}
    <ol class="currency flexrow{{#if hasAltCurrency}} has-currency{{/if}} weightless">
      <h3>{{localize "PF1.Currency.Weightless"}}</h3>
      {{#each system.altCurrency as |v k|}}
      <li class="denomination {{k}} alt-currency" data-denomination="{{k}}">
        <label>{{lookup @root.config.currencies k}}</label>
        <span class="text-box direct allow-relative" name="system.altCurrency.{{k}}" data-dtype="Number">{{#if v}}{{v}}{{/if}}</span>
        <a class="convert-currency" data-type="{{k}}" data-category="altCurrency" data-tooltip="PF1.ConvertCurrency"><i class="fas fa-long-arrow-alt-left"></i></a>
      </li>
      {{/each}}
    </ol>
    {{/if}}
  </div>
</header>

{{!-- Inventory Navigation --}}
<hr>

<div class="inventory-filters flexrow">
  {{~> "systems/pf1/templates/internal/item-search.hbs" category="inventory"}}
  <ul class="filter-list flexrow" data-category="inventory">
    {{#each sections as |section sid|}}
    <li class="filter-item" data-category="inventory" data-filter="{{section.id}}">{{section.label}}</li>
    {{/each}}
  </ul>
</div>

<section class="inventory-body">
  <ol class="item-groups-list">
  {{#each sections as |section sid|}}
  {{#unless section._hidden}}
    <ol class="item-list" data-type="{{section.dataset.type}}" data-subtype="{{section.dataset.sub-type}}">
      <li class="item-list-header flexrow items-{{sid}}">
        <div class="item-name">
          <h3>{{section.label}}</h3>
        </div>

        {{#if section.interface.slots}}<div class="item-detail item-slot"><i class="icon-pf icon-inventory-slot" data-tooltip="PF1.Slot"></i></div>{{/if}}
        {{#if section.interface.actions}}<div class="item-detail item-actions"><i class="icon-pf icon-gears" data-tooltip="PF1.ActionPlural"></i></div>{{/if}}

        {{#if section.interface.value}}
        <div class="item-detail item-value"><i class="icon-pf icon-coins" data-tooltip="PF1.Value"></i></div>
        {{/if}}
        <div class="item-detail item-weight"><i class="icon-pf icon-weight" src="systems/pf1/icons/actions/weight.svg" data-tooltip="PF1.ItemWeight"></i></div>
        {{#if @root.isGM}}
        <div class="item-detail item-identified"><i class="icon-pf icon-quill-ink" data-tooltip="PF1.Identified"></i></div>
        {{/if}}
        <div class="item-detail item-carried"><i class="icon-pf icon-wheelbarrow" data-tooltip="PF1.Carried"></i></div>
        {{#unless section.interface.noEquip}}
        <div class="item-detail item-equipped"><i class="icon-pf icon-battle-gear" data-tooltip="{{#if section.labels.equip}}{{section.labels.equip}}{{else}}PF1.Equipped{{/if}}"></i></div>
        {{/unless}}
        <div class="item-detail item-uses"><i class="icon-pf icon-battery-pack" data-tooltip="PF1.ChargePlural"></i></div>

        {{#if @root.owner}}
        <div class="item-controls">
          {{#if section.interface.create}}
          <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="{{path}}">
            <i class="fas fa-plus"></i>
          </a>
          {{/if}}
          <a data-action="compendium" data-action-target="items" data-tooltip="PF1.OpenCompendium"><i class="fas fa-folder-plus"></i></a>
        </div>
        {{/if}}
      </li>

      {{#each section.items as |item iid|}}
      <li class="item flexrow{{#if item.disabled}} disabled{{/if}}" data-item-id="{{item.id}}">
        <div class="item-name">
          <div class="item-image rollable" style='background-image: url("{{item.img}}")' data-tooltip="PF1.DisplayInChat"></div>
          <h4 class="rollable">
            <span class="quantity{{#if isStack}} stack{{/if}}{{#if (eq item.quantity 0)}} empty{{/if}}{{#if (eq item.quantity 1)}} singular{{/if}}">{{item.quantity}}</span>
            {{item.name~}}
          </h4>
        </div>

        {{#if section.interface.slots}}
        <div class="item-detail item-slot">
          <span data-tooltip="{{item.labels.slot}}">{{item.labels.slot}}</span>
        </div>
        {{/if}}

        {{#if section.interface.actions}}
        <div class="item-detail item-actions">
          <div class="item-action">
            {{#unless (or item.showUnidentifiedData item.disabled)}}
            {{#if item.hasAction}}
            <a class="item-control item-action action roll" data-tooltip="PF1.UseItem">
              <i class="fa-solid fa-dice-d20"></i>
            </a>
            {{/if}}
            {{/unless}}
          </div>
        </div>
        {{/if}}

        {{#if section.interface.value}}
        <div class="item-detail item-value">
          <span>{{localize @root.labels.currency value=item.price}}</span>
        </div>
        {{/if}}

        <div class="item-detail item-weight">
          {{#if isPhysical}}
          <span>{{numberFormatAlt item.weight.converted.total decimals=2}} {{@root.units.weight}}</span>
          {{/if}}
        </div>

        {{#if @root.isGM}}
        <div class="item-detail item-identified">
          <a class="item-control item-identify"><span>{{{item.labels.identified}}}</span></a>
        </div>
        {{/if}}

        <div class="item-detail item-carried">
          <a class="item-control item-carry"><span>{{{item.labels.carried}}}</span></a>
        </div>

        {{#unless section.interface.noEquip}}
        <div class="item-detail item-equipped">
          {{#if section.interface.equip}}
          <a class="item-control item-equip"><span>{{{item.labels.equipped}}}</span></a>
          {{/if}}
        </div>
        {{/unless}}

        <div class="item-detail item-uses flexrow" data-tooltip-extended="item.{{item.id}}.resources">
          {{#unless showUnidentifiedData}}
          {{#if item.hasResource}}
          <span class="text-box value allow-relative" data-wheel-step="1" data-dtype="Number">{{item.uses.value}}</span>
          <span class="sep"> / </span>
          <span class="max">{{item.uses.max}}</span>
          {{/if}}
          {{/unless}}
        </div>

        {{#if @root.owner}}
        <div class="item-controls">
          <a class="item-control item-quantity-add" data-tooltip="PF1.QuantityAdd"><i class="fas fa-plus"></i></a>
          <a class="item-control item-quantity-subtract" data-tooltip="PF1.QuantitySub"><i class="fas fa-minus"></i></a>
          <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
          <a class="item-control item-duplicate" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
          <a class="item-control item-split{{#unless item.isStack}} disabled{{/unless}}" data-tooltip="PF1.SplitItem"><i class="fas fa-people-arrows"></i></a>
          <a class="item-control item-give" data-tooltip="PF1.GiveItem"><i class="fas fa-gift"></i></a>
          <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
        </div>
        {{/if}}
      </li>
      {{/each}}
    </ol>
  {{/unless}}
  {{/each}}
  </ol>
</section>

{{#unless isLootSheet}}
<hr>
<footer data-tooltip-extended="carryCapacity" data-tooltip-direction="UP">
  {{! Carry Bonus }}
  <div class="carry-bonus">
    <label>
      {{localize "PF1.BonusCarryStrength"}}
      <input class="small" name="system.details.carryCapacity.bonus.user" value="{{system.details.carryCapacity.bonus.user}}" type="number" data-dtype="Number" placeholder="0">
    </label>
    <label>
      {{localize "PF1.BonusCarryMultiplier"}}
      <input class="small" name="system.details.carryCapacity.multiplier.user" value="{{system.details.carryCapacity.multiplier.user}}" type="number" data-dtype="Number" placeholder="0">
    </label>
  </div>
  {{#with encumbrance}}
  <div class="flexrow inventory-tags tag-list">
    <span class="tag">{{carryLabel}}</span>
    <span class="tag">{{@root.labels.totalValue}}</span>
  </div>

  {{! Carry Capacity meters }}
  <div class="flexrow carry-capacity">
    <div class="encumbrance {{#if encumbered.light}}encumbered{{/if}}">
      {{#if pct.light}}<span class="encumbrance-bar" style="width:{{pct.light}}%"></span>{{/if}}
      <span class="encumbrance-label">{{localize "PF1.CarryLightLoad"}} ({{light}})</span>
    </div>
    <div class="encumbrance {{#if encumbered.medium}}encumbered{{/if}}">
      {{#if pct.medium}}<span class="encumbrance-bar" style="width:{{pct.medium}}%"></span>{{/if}}
      <span class="encumbrance-label">{{localize "PF1.CarryMediumLoad"}} ({{medium}})</span>
    </div>
    <div class="encumbrance {{#if encumbered.heavy}}encumbered{{/if}}">
      {{#if pct.heavy}}<span class="encumbrance-bar" style="width:{{pct.heavy}}%"></span>{{/if}}
      <span class="encumbrance-label">{{localize "PF1.CarryHeavyLoad"}} ({{heavy}})</span>
    </div>
  </div>

  {{! Lifting }}
  <div class="info-box-joined lift">
    <div class="info-box overhead">
      <h5>{{localize "PF1.CarryAboveHead"}}</h5>
      <span class="value">{{aboveHead}}</span>
    </div>
    <div class="info-box offground">
      <h5>{{localize "PF1.CarryOffGround"}}</h5>
      <span class="value">{{offGround}}</span>
    </div>
    <div class="info-box drag-push">
      <h5>{{localize "PF1.CarryDragPush"}}</h5>
      <span class="value">{{dragPush}}</span>
    </div>
  </div>
{{/with}}
</footer>
{{else}}
{{#with encumbrance}}
<footer>
  <div class="flexrow tag-list">
    <span class="tag carry-load">{{carryLabel}}</span>
    <span class="tag gear-value">{{@root.labels.totalValue}}</span>
    <span class="tag gear-value-sale">{{@root.labels.sellValue}}</span>
  </div>
</footer>
{{/with}}
{{/unless}}
